<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.css">
    <link rel="stylesheet" href="assets/superMap/js/geoman/leaflet-geoman.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>新增内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">事件名称<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="eventName" name="eventName" class="layui-input"
                               value="" placeholder="请输入事件名称"  maxlength="100" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">发生日期<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="eventDate" name="eventDate"
                               class="layui-input" value="" placeholder="请选择事件发生日期" readonly style="cursor: pointer;" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所在地<span style="color: red;vertical-align: middle;">*</span></label>
                        <input type="hidden" id="locationId" name="locationId" class="layui-input" value="" placeholder="请输入一级区域ID"  maxlength="36">
                        <input type="hidden" id="locationCode" name="locationCode" class="layui-input" value="" placeholder="请输入一级区域名称"  maxlength="255">
                        <div class="layui-input-block">
                            <input type="text" id="location" name="location" class="layui-input" value="" placeholder="点击选择所在地"  maxlength="11" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required" lay-search>
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 120px;">发生地祥址<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 120px;">
                        <input type="text" id="eventSite" name="eventSite"
                               class="layui-input" value="" placeholder="请输入发生地"  maxlength="255" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">事件分级<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="eventLevelIdSelectTemplateBox" lay-filter="eventLevelIdSelectTemplateBox"></div>
                    <script id="eventLevelIdSelectTemplate" type="text/html">
                        <select id="eventLevelId" name="eventLevelId" lay-verify="required" lay-search>
                            <option value="">请选择事件分级</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">事件类型<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="eventTypeIdSelectTemplateBox" lay-filter="eventTypeIdSelectTemplateBox"></div>
                    <script id="eventTypeIdSelectTemplate" type="text/html">
                        <select id="eventTypeId" name="eventTypeId" lay-verify="required" lay-search>
                            <option value="">请选择事件类型</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">事件情况<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <textarea id="eventExplain" name="eventExplain" class="layui-textarea" placeholder="请输入事件情况" lay-verify="required"></textarea>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">经度<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="longitude" name="longitude" class="layui-input" value="" placeholder="请输入经度" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">纬度<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="latitude" name="latitude" class="layui-input" value="" placeholder="请输入纬度" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-row" id="mapDiv">
                    <div class="layui-col-md12 layui-col-sm12" style="padding: 0 0px;">
                        <div id="mapContainer" style="width: 100%;height: 350px;"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.js"></script>
<script src="assets/superMap/js/iclient-leaflet.min.js"></script>
<script src="assets/superMap/js/geoman/leaflet-geoman.min.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};
        var map;
        var marker;

        function initMap(longitude, latitude) {
            var url1 = 'https://iserver.supermap.io/iserver/services/map-china400/rest/maps/China';
            map = L.map('mapContainer', {
                crs: L.CRS.EPSG3857,
                center: {lon: 113.11412662267688, lat: 40.98896497581636},
                maxZoom: 18,
                zoom: 8,
                boxZoom: false,
                scrollWheelZoom: true,
                dragging: true,
                doubleClickZoom: false,
                zoomControl: false
            });
            L.control.zoom().addTo(map);
            L.control.scale().addTo(map);
            L.supermap.tiledMapLayer(url1, {noWrap: true}).addTo(map);
            marker = L.marker();
            map.on('click',addPoint);
        }

        function addPoint(e){
            if(marker)map.removeLayer(marker);
            marker = L.marker(e.latlng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            $('#longitude').val(e.latlng.lng);
            $('#latitude').val(e.latlng.lat);
        }

        // 选择所在地
        $(document).on('click', '#location', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#location').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#locationCode').val(areaCode);
                        $('#location').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化事件发生日期日期
        function initEventDateDate() {
            laydate.render({
                elem: '#eventDate',
                format: 'yyyyMMdd',
                type: 'date',
                value: '',
                trigger: 'click'
            });
        }

        // 初始化事件分级ID选择
        function initEventLevelIdSelect() {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['77b5f275-342b-403b-a737-759357fcae55']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('eventLevelIdSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('eventLevelIdSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'eventLevelIdSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化事件类型ID选择
        function initEventTypeIdSelect() {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['0cd4e948-db42-4745-9073-4e8232aa4b02']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('eventTypeIdSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('eventTypeIdSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'eventTypeIdSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化内容
        function initData() {
            initEventDateDate();
            initEventLevelIdSelect();
            initEventTypeIdSelect();
            initGridSelect();
            var lng = '116.42';
            var lat = '39.88';
            initMap(lng, lat);
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            setData(formData);
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.post(top.restAjax.path('api/importantevent/save', []), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        function setData(formData){
            if(formData.field.eventLevelId != ''){
                formData.field.eventLevelText = $('#eventLevelId option:checked').text();
            }
            if(formData.field.eventTypeId != ''){
                formData.field.eventTypeText = $('#eventTypeId option:checked').text();
            }
        }

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>